Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3d/etat0_netcdf.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3d/etat0_netcdf.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3d/etat0_netcdf.F	(revision 1322)
@@ -144,4 +144,5 @@
       REAL      :: solarlong0
       real :: seuil_inversion
+      real :: alp_offset
 
       integer  read_climoz ! read ozone climatology
@@ -184,5 +185,6 @@
      &                 iflag_thermals,nsplit_thermals,tau_thermals,     &
      &                 iflag_thermals_ed,iflag_thermals_optflux,        &
-     &                 iflag_coupl,iflag_clos,iflag_wake, read_climoz )
+     &                 iflag_coupl,iflag_clos,iflag_wake, read_climoz,  &
+     &                 alp_offset)
 
 ! co2_ppm0 : initial value of atmospheric CO2 from .def file (co2_ppm value)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/etat0_netcdf.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/etat0_netcdf.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/etat0_netcdf.F	(revision 1322)
@@ -144,4 +144,5 @@
       REAL      :: solarlong0
       real :: seuil_inversion
+      REAL :: alp_offset
 
       integer  read_climoz ! read ozone climatology
@@ -184,5 +185,6 @@
      &                 iflag_thermals,nsplit_thermals,tau_thermals,     &
      &                 iflag_thermals_ed,iflag_thermals_optflux,        &
-     &                 iflag_coupl,iflag_clos,iflag_wake, read_climoz )
+     &                 iflag_coupl,iflag_clos,iflag_wake, read_climoz,  &
+     &                 alp_offset)
 
 ! co2_ppm0 : initial value of atmospheric CO2 from .def file (co2_ppm value)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/leapfrog_p.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/leapfrog_p.F	(revision 1322)
@@ -677,6 +677,8 @@
          call suspend_timer(timer_caldyn)
 
+        if (prt_level >= 10) then
          write(lunout,*)
      &   'leapfrog_p: Entree dans la physique : Iteration No ',true_itau
+        endif
 c$OMP END MASTER
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calwake.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calwake.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calwake.F	(revision 1322)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
       SUBROUTINE CALWAKE(paprs,pplay,dtime
      :             ,t,q,omgb
@@ -189,8 +192,8 @@
      $                ,Cstar,d_deltat_gw
      $                ,d_deltatw,d_deltaqw)
-
-      DO i=1,klon 
-       IF (ktopw(i) .GT. 0) THEN
-         DO l=1,klev
+c
+      DO l=1,klev
+       DO i=1,klon 
+        IF (ktopw(i) .GT. 0) THEN
            wake_deltat(i,l)= dtw(i,l)
            wake_deltaq(i,l)= dqw(i,l)
@@ -212,7 +215,5 @@
            wake_ddeltat(i,l) = d_deltatw(i,l)
            wake_ddeltaq(i,l) = d_deltaqw(i,l)
-         ENDDO
-       ELSE
-         DO l = 1,klev
+        ELSE
            wake_deltat(i,l)= 0.
            wake_deltaq(i,l)= 0.
@@ -222,4 +223,6 @@
            wake_dtKE(i,l) = 0.
            wake_dqKE(i,l) = 0.
+ 	   wake_dtPBL(i,l) = 0.
+	   wake_dqPBL(i,l) = 0.
            wake_omg(i,l) = 0.
            wake_dp_deltomg(i,l) = 0.
@@ -230,7 +233,11 @@
            undi_t(i,l)=te(i,l)
            undi_q(i,l)=qe(i,l)
-         ENDDO
-       ENDIF
-
+           wake_ddeltat(i,l) = 0.
+           wake_ddeltaq(i,l) = 0.
+        ENDIF
+       ENDDO
+      ENDDO
+c
+      DO i=1,klon 
        wake_h(i)= hw(i)
        wake_s(i)= sigmaw(i)
@@ -241,10 +248,9 @@
        wake_Cstar(i) = Cstar(i)
        wake_dens(i) = wdens(i)
-c
-cIM 290108 999  CONTINUE
-c
-      ENDDO
+      ENDDO
+c
       RETURN
       END
+
       SUBROUTINE CALWAKE_scal(paprs,pplay,dtime
      :             ,t,q,omgb
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conf_phys.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conf_phys.F90	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/conf_phys.F90	(revision 1322)
@@ -22,5 +22,6 @@
                        iflag_thermals,nsplit_thermals,tau_thermals, &
                        iflag_thermals_ed,iflag_thermals_optflux, &
-                       iflag_coupl,iflag_clos,iflag_wake, read_climoz)
+                       iflag_coupl,iflag_clos,iflag_wake, read_climoz, &
+                       alp_offset)
 
    use IOIPSL
@@ -110,4 +111,6 @@
   integer :: iflag_clos
   integer :: iflag_wake
+  real :: alp_offset
+  REAL, SAVE :: alp_offset_omp
   integer,SAVE :: iflag_coupl_omp,iflag_clos_omp,iflag_wake_omp
   integer,SAVE :: iflag_cvl_sigd_omp
@@ -1032,4 +1035,12 @@
   iflag_wake_omp = 0
   call getin('iflag_wake',iflag_wake_omp)
+
+!Config Key  = alp_offset
+!Config Desc =  
+!Config Def  = 0
+!Config Help = 
+!
+  alp_offset_omp = 0.01
+  call getin('alp_offset',alp_offset_omp)
 
 !
@@ -1449,4 +1460,5 @@
     iflag_clos = iflag_clos_omp
     iflag_wake = iflag_wake_omp
+    alp_offset = alp_offset_omp
     iflag_cvl_sigd = iflag_cvl_sigd_omp
     type_run = type_run_omp
@@ -1616,4 +1628,6 @@
   write(numout,*)' Fmax = ', Fmax
   write(numout,*)' alphas = ', alphas
+  write(numout,*)' iflag_wake = ', iflag_wake
+  write(numout,*)' alp_offset = ', alp_offset
 
   write(numout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_cine.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_cine.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_cine.F	(revision 1322)
@@ -1,5 +1,8 @@
+!
+! $Id$
+!
         SUBROUTINE cv3_cine(nloc,ncum,nd,icb,inb
      :                      ,pbase,plcl,p,ph,tv,tvp
-     :                      ,cina,cinb)
+     :                      ,cina,cinb,plfc)
 
 ***************************************************************
@@ -26,5 +29,5 @@
 c
 c output
-      real cina(nloc),cinb(nloc)
+      real cina(nloc),cinb(nloc),plfc(nloc)
 c
 c local variables
@@ -34,5 +37,4 @@
       logical lswitch(nloc),lswitch1(nloc),lswitch2(nloc)
       logical exist_lfc(nloc)
-      real plfc(nloc)
       real dpmax
       real deltap,dcin
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_routines.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_routines.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3_routines.F	(revision 1322)
@@ -74,7 +74,6 @@
 c      dtcrit = -5.0
 c      tau    = 3000.
-cc      tau = 1800.
-c     tau= 2800.
-      tau=8000.
+      tau = 1800.
+cc      tau=8000.
       beta   = 1.0 - delt/tau
       alpha1 = 1.5e-3
@@ -2094,5 +2093,5 @@
 cc---end jyg---
 c
-c--------retour à la formulation originale d''Emanuel.
+c--------retour à la formulation originale d'Emanuel.
       b6=bfac*50.*sigd(il)*(ph(il,i)-ph(il,i+1))*sigt*afac
       c6=water(il,i+1)+bfac*wdtrain(il)
@@ -2100,6 +2099,12 @@
       if(c6.gt.0.0)then
        revap=0.5*(-b6+sqrt(b6*b6+4.*c6))
-       water(il,i)=revap*revap      !equation de conservation
+cjyg    Dans sa formulation originale, Emanuel calcule l'evaporation par:
+cc             evap(il,i)=sigt*afac*revap
+c     ce qui n'est pas correct. Dans cv_routines, la formulation a été modifiee.
+c     Ici,l'evaporation evap est simplement calculee par l'equation de
+c     conservation.
+       water(il,i)=revap*revap
       else
+cjyg----   Correction : si c6 <= 0, water(il,i)=0.
        water(il,i) = 0.
       endif
@@ -2345,5 +2350,5 @@
       real esum(nloc), fsum(nloc), gsum(nloc), hsum(nloc)
       real th_wake(nloc,nd)
-      real alpha_qpos(nloc)
+      real alpha_qpos(nloc),alpha_qpos1(nloc)
       real qcond(nloc,nd), nqcond(nloc,nd), wa(nloc,nd)  ! cld
       real siga(nloc,nd), sax(nloc,nd), mac(nloc,nd)      ! cld
@@ -3050,4 +3055,13 @@
        do il=1,ncum
         IF (iflag(il) .le. 1) THEN
+	IF (cvflag_grav) then
+        ex=0.01*grav*ment(il,inb(il),inb(il))
+     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
+     :      /(ph(i l,inb(il))-ph(il,inb(il)+1))
+        ftra(il,inb(il),j)=ftra(il,inb(il),j)-ex
+        ftra(il,inb(il)-1,j)=ftra(il,inb(il)-1,j)
+     :       +ex*(ph(il,inb(il))-ph(il,inb(il)+1))
+     :          /(ph(il,inb(il)-1)-ph(il,inb(il)))
+	else
         ex=0.1*ment(il,inb(il),inb(il))
      :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
@@ -3057,4 +3071,5 @@
      :       +ex*(ph(il,inb(il))-ph(il,inb(il)+1))
      :          /(ph(il,inb(il)-1)-ph(il,inb(il)))
+        ENDIF   !cvflag grav
         ENDIF    !iflag
        enddo
@@ -3122,7 +3137,11 @@
 c        in order to ensure moisture positivity
       DO il = 1,ncum
+      alpha_qpos(il)=1.
        IF (iflag(il) .le. 1) THEN
-        alpha_qpos(il) = max(1. , -delt*fr(il,1)/
+        if (fr(il,1) .le. 0.) then
+            alpha_qpos(il) = max(alpha_qpos(il) ,
+     :	   (-delt*fr(il,1))/
      :     (s_wake(il)*rr_wake(il,1)+(1.-s_wake(il))*rr(il,1)))
+        end if
        ENDIF
       ENDDO
@@ -3130,6 +3149,10 @@
        DO il = 1,ncum
         IF (iflag(il) .le. 1) THEN
-        alpha_qpos(il) = max(alpha_qpos(il) , -delt*fr(il,i)/
+          IF (fr(il,i) .le. 0.) THEN
+           alpha_qpos1(il)=max(1. , (-delt*fr(il,i))/
      :     (s_wake(il)*rr_wake(il,i)+(1.-s_wake(il))*rr(il,i)))
+             IF (alpha_qpos1(il) .ge. alpha_qpos(il))
+     :           alpha_qpos(il)=alpha_qpos1(il)
+          ENDIF
         ENDIF
        ENDDO
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3p1_closure.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3p1_closure.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/cv3p1_closure.F	(revision 1322)
@@ -63,5 +63,5 @@
       integer nsupmax(nloc)
       real supcrit,temp(nloc,nd)
-      real P1(nloc),Pmin(nloc)
+      real P1(nloc),Pmin(nloc),plfc(nloc)
       real asupmax0(nloc)
       logical ok(nloc)
@@ -385,5 +385,5 @@
       CALL cv3_cine (nloc,ncum,nd,icb,inb
      :                      ,pbase,plcl,p,ph,tv,tvp
-     :                      ,cina,cinb)
+     :                      ,cina,cinb,plfc)
 c
       DO il = 1,ncum
@@ -495,6 +495,8 @@
       do k= 1,nl
        do il = 1,ncum
-!IM       IF (k .ge. icb(il) .and. k .le. inb(il)) THEN
-        IF (k .ge. icb(il)+1 .and. k .le. inb(il)) THEN
+!old       IF (k .ge. icb(il) .and. k .le. inb(il)) THEN
+!IM        IF (k .ge. icb(il)+1 .and. k .le. inb(il)) THEN
+       IF (k .ge. icb(il) .and. k .le. inb(il)         !cor jyg
+     $     .and. icb(il)+1 .le. inb(il)) THEN          !cor jyg
          cbmflim(il) = cbmflim(il)+MLIM(il,k)
         ENDIF
@@ -548,8 +550,10 @@
         do il = 1,ncum
          IF ( k .ge. icb(il)+1 .AND. k .le. inb(il)) THEN
-         sig(il,k) = beta*sig(il,k)+(1.-beta)*coef(il)*siglim(il,k)
-cc         sig(il,k) = beta*sig(il,k)+siglim(il,k)
-         w0(il,k) = beta*w0(il,k)  +(1.-beta)*wlim(il,k)
-         AMU=SIG(il,k)*W0(il,k)
+         amu=beta*sig(il,k)*w0(il,k)+
+     :   (1.-beta)*coef(il)*siglim(il,k)*wlim(il,k)
+         w0(il,k) = wlim(il,k)
+         w0(il,k) =max(w0(il,k),1.e-10)
+         sig(il,k)=amu/w0(il,k)
+         sig(il,k)=min(sig(il,k),1.)
 cc         amu = 0.5*(SIG(il,k)+sigold(il,k))*W0(il,k)
          M(il,k)=AMU*0.007*P(il,k)*(PH(il,k)-PH(il,k+1))/TV(il,k)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_wake.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_wake.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/ini_wake.F	(revision 1322)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
       SUBROUTINE INI_WAKE(wape,fip,it_wape_prescr,
      :     wape_prescr, fip_prescr, alp_bl_prescr, ale_bl_prescr)
@@ -23,4 +26,6 @@
 c   wape_prescr    : valeur prescrite de la WAPE.
 c   fip_prescr     : valeur prescrite de la FIP.
+c   ale_bl_prescr  : valeur prescrite de la Ale de PBL.
+c   alp_bl_prescr  : valeur prescrite de la Alp de PBL.
 c
 c Variables internes
@@ -29,17 +34,12 @@
 c   w  = WAPE lue
 c   f  = FIP lue
+c   alebl  = Ale de PBL lue
+c   alpbl  = Alp de PBL lue
 c
+      include 'iniprint.h'
 cdeclarations
       real ale_bl_prescr
       real alp_bl_prescr
       real it
-cCR: on rajoute ale et alp de la PBL precrits
-c     open (99,file='wake.data',form='formatted')
-c     read (99,*) it
-c     read (99,*) w
-c     read (99,*) f
-c     read (99,*) u
-c     read (99,*) p
-c     close (99)
 
 ! FH A mettre si besoin dans physiq.def
@@ -48,8 +48,18 @@
       w=4.
       f=0.1
-      u=0.1
-      p=4.
+      alebl=4.
+      alpbl=0.1
 c
-      print *,' it,w ',it,w
+cCR: on rajoute ale et alp de la PBL precrits
+      open (99,file='wake.data',form='formatted',status='old',err=902)
+      read (99,*) it
+      read (99,*) w
+      read (99,*) f
+      read (99,*,end=901) alebl
+      read (99,*,end=901) alpbl
+901   close (99)
+902   continue
+c
+      write(lunout,*)' it,wape ',it,wape
       it_wape_prescr = it
       if (w .lt. 0) then
@@ -61,7 +71,7 @@
       endif
 c
-      print *,' u,p ',u,p
-      alp_bl_prescr=u
-      ale_bl_prescr=p
+      write(lunout,*)' alebl, alpbl ',alebl,alpbl
+      ale_bl_prescr=alebl
+      alp_bl_prescr=alpbl
       print *,'Initialisation de la poche : WAPE, FIP imposees ='
      $               ,wape_prescr, fip_prescr
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyetat0.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyetat0.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyetat0.F	(revision 1322)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -228,4 +228,5 @@
      $          'coherente ', i, zmasq(i), pctsrf(i, is_ter)
      $          ,pctsrf(i, is_lic)
+            WRITE(*,*) 'Je force la coherence zmasq=fractint'
             zmasq(i) = fractint(i)
         ENDIF 
@@ -238,4 +239,5 @@
      $          'coherente ', i, zmasq(i) , pctsrf(i, is_oce)
      $          ,pctsrf(i, is_sic)
+            WRITE(*,*) 'Je force la coherence zmasq=fractint'
             zmasq(i) = fractint(i)
         ENDIF 
@@ -987,4 +989,18 @@
       PRINT*,'(ecart-type) wake_cstar:', xmin, xmax
 c
+c wake_pe
+c
+      CALL get_field("WAKE_PE",wake_pe,found)
+      IF (.NOT. found) THEN
+         PRINT*, "phyetat0: Le champ <WAKE_PE> est absent"
+         PRINT*, "Depart legerement fausse. Mais je continue"
+         wake_pe=0.
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      xmin = MINval(wake_pe)
+      xmax = MAXval(wake_pe)
+      PRINT*,'(ecart-type) wake_pe:', xmin, xmax
+c
 c wake_fip
 c
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyredem.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyredem.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyredem.F	(revision 1322)
@@ -299,5 +299,5 @@
 !!!!!!!!!!!!!!!!!!!! FIN TKE PBL !!!!!!!!!!!!!!!!!!!!!!!!!
 cIM ajout zmax0, f0, ema_work1, ema_work2
-cIM wake_deltat, wake_deltaq, wake_s, wake_cstar, wake_fip
+cIM wake_deltat, wake_deltaq, wake_s, wake_cstar, wake_pe, wake_fip
       
       CALL put_field("ZMAX0","ZMAX0",zmax0)
@@ -318,4 +318,6 @@
       CALL put_field("WAKE_CSTAR","WAKE_CSTAR",wake_cstar)
       
+      CALL put_field("WAKE_PE","WAKE_PE",wake_pe)
+
       CALL put_field("WAKE_FIP","WAKE_FIP",wake_fip)
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phys_state_var_mod.F90	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phys_state_var_mod.F90	(revision 1322)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
       MODULE phys_state_var_mod
 ! Variables sauvegardees pour le startphy.nc
@@ -169,4 +172,5 @@
 ! wake_Cstar  : vitesse d'etalement de la poche
 ! wake_s      : fraction surfacique occupee par la poche froide
+! wake_pe     : wake potential energy - WAPE
 ! wake_fip    : Gust Front Impinging power - ALP
 ! dt_wake, dq_wake: LS tendencies due to wake
@@ -179,4 +183,6 @@
       REAL,ALLOCATABLE,SAVE :: wake_s(:)
 !$OMP THREADPRIVATE(wake_s)
+      REAL,ALLOCATABLE,SAVE :: wake_pe(:)
+!$OMP THREADPRIVATE(wake_pe)
       REAL,ALLOCATABLE,SAVE :: wake_fip(:)
 !$OMP THREADPRIVATE(wake_fip)
@@ -370,5 +376,6 @@
       ALLOCATE(wght_th(klon,klev))
       ALLOCATE(wake_deltat(klon,klev), wake_deltaq(klon,klev))
-      ALLOCATE(wake_Cstar(klon), wake_s(klon), wake_fip(klon))
+      ALLOCATE(wake_Cstar(klon), wake_s(klon))
+      ALLOCATE(wake_pe(klon), wake_fip(klon))
       ALLOCATE(dt_wake(klon,klev), dq_wake(klon,klev))
       ALLOCATE(pfrac_impa(klon,klev), pfrac_nucl(klon,klev))
@@ -464,5 +471,5 @@
       deallocate(lalim_conv, wght_th)
       deallocate(wake_deltat, wake_deltaq)
-      deallocate(wake_Cstar, wake_s, wake_fip)
+      deallocate(wake_Cstar, wake_s, wake_pe, wake_fip)
       deallocate(dt_wake, dq_wake)
       deallocate(pfrac_impa, pfrac_nucl)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F	(revision 1322)
@@ -625,5 +625,6 @@
       REAL q_undi(klon,klev)               ! humidite moyenne dans la zone non perturbee
 c
-      REAL wake_pe(klon)              ! Wake potential energy - WAPE 
+cjyg
+ccc      REAL wake_pe(klon)              ! Wake potential energy - WAPE 
 
       REAL wake_gfl(klon)             ! Gust Front Length
@@ -641,4 +642,7 @@
       REAL dt_a(klon,klev)
       REAL dq_a(klon,klev)
+      REAL, SAVE :: alp_offset
+c$OMP THREADPRIVATE(alp_offset)
+
 c
 cRR:fin declarations poches froides
@@ -1188,5 +1192,6 @@
      .     iflag_thermals_ed,iflag_thermals_optflux,
 c     nv flags pour la convection et les poches froides
-     .     iflag_coupl,iflag_clos,iflag_wake, read_climoz)
+     .     iflag_coupl,iflag_clos,iflag_wake, read_climoz,
+     &     alp_offset)
       call phys_state_var_init(read_climoz)
       print*, '================================================='
@@ -2021,17 +2026,29 @@
 c
 ccalcul de ale_wake et alp_wake
-       do i = 1,klon
-          if (iflag_wake.eq.1) then
-          ale_wake(i) = 0.5*wake_cstar(i)**2
-          alp_wake(i) = wake_fip(i)
-          else
-          ale_wake(i) = 0.
-          alp_wake(i) = 0.
-          endif
-       enddo
+       if (iflag_wake.eq.1) then
+         if (itap .le. it_wape_prescr) then
+          do i = 1,klon
+           ale_wake(i) = wape_prescr
+           alp_wake(i) = fip_prescr
+          enddo
+         else
+          do i = 1,klon
+cjyg  ALE=WAPE au lieu de ALE = 1/2 Cstar**2
+ccc           ale_wake(i) = 0.5*wake_cstar(i)**2
+           ale_wake(i) = wake_pe(i)
+           alp_wake(i) = wake_fip(i)
+          enddo
+         endif
+       else
+         do i = 1,klon
+           ale_wake(i) = 0.
+           alp_wake(i) = 0.
+         enddo
+       endif
 ccombinaison avec ale et alp de couche limite: constantes si pas de couplage, valeurs calculees
 cdans le thermique sinon
        if (iflag_coupl.eq.0) then
-          if (debut) print*,'ALE et ALP imposes'
+          if (debut.and.prt_level.gt.9)
+     $                     WRITE(lunout,*)'ALE et ALP imposes'
           do i = 1,klon
 con ne couple que ale
@@ -2046,5 +2063,6 @@
           do i = 1,klon
               ALE(i) = max(ale_wake(i),Ale_bl(i))
-              ALP(i) = alp_wake(i) + Alp_bl(i)
+c avant        ALP(i) = alp_wake(i) + Alp_bl(i)
+              ALP(i) = alp_wake(i) + Alp_bl(i) + alp_offset ! modif sb
 c         write(20,*)'ALE',ALE(i),Ale_bl(i),ale_wake(i)
 c         write(21,*)'ALP',ALP(i),Alp_bl(i),alp_wake(i)
@@ -2289,4 +2307,19 @@
 
       endif
+c
+c===================================================================
+cJYG
+      IF (ip_ebil_phy.ge.2) THEN 
+        ztit='after wake'
+        CALL diagetpq(airephy,ztit,ip_ebil_phy,2,2,dtime
+     e      , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay
+     s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
+        call diagphy(airephy,ztit,ip_ebil_phy
+     e      , zero_v, zero_v, zero_v, zero_v, zero_v
+     e      , zero_v, zero_v, zero_v, ztsol
+     e      , d_h_vcol, d_qt, d_ec
+     s      , fs_bound, fq_bound )
+      END IF 
+
 c      print*,'apres callwake iflag_cldcon=', iflag_cldcon
 c
@@ -2402,4 +2435,9 @@
      e      , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
+        call diagphy(airephy,ztit,ip_ebil_phy
+     e      , zero_v, zero_v, zero_v, zero_v, zero_v
+     e      , zero_v, zero_v, zero_v, ztsol
+     e      , d_h_vcol, d_qt, d_ec
+     s      , fs_bound, fq_bound )
       END IF 
 
@@ -2450,5 +2488,7 @@
          enddo
          tau_overturning_th(:)=zmax_th(:)/max(0.5*wmax_th(:),0.1)
-         print*,'TAU TH OK ',tau_overturning_th(1),detr_therm(1,3)
+         if(prt_level.ge.9)
+     &     write(lunout,*)'TAU TH OK ',
+     &     tau_overturning_th(1),detr_therm(1,3)
 
 c On impose que l'air autour de la fraction couverte par le thermique
@@ -2561,5 +2601,6 @@
 
 !   les ratqs sont une combinaison de ratqss et ratqsc
-!       write(lunout,*)'PHYLMD NOUVEAU TAU_RATQS ',tau_ratqs
+       if(prt_level.ge.9)
+     $       write(lunout,*)'PHYLMD NOUVEAU TAU_RATQS ',tau_ratqs
 
          if (tau_ratqs>1.e-10) then
@@ -2785,4 +2826,9 @@
      e      , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
+        call diagphy(airephy,ztit,ip_ebil_phy
+     e      , zero_v, zero_v, zero_v, zero_v, zero_v
+     e      , zero_v, zero_v, zero_v, ztsol
+     e      , d_h_vcol, d_qt, d_ec
+     s      , fs_bound, fq_bound )
       END IF 
 c
@@ -2992,5 +3038,5 @@
       itaprad = itaprad + 1
 
-      if (iflag_radia.eq.0) then
+      if (iflag_radia.eq.0 .and. prt_level.ge.9) then
       print *,'--------------------------------------------------'
       print *,'>>>> ATTENTION rayonnement desactive pour ce cas'
@@ -3195,4 +3241,9 @@
      e      , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay
      s      , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
+         call diagphy(airephy,ztit,ip_ebil_phy
+     e      , zero_v, zero_v, zero_v, zero_v, zero_v
+     e      , zero_v, zero_v, zero_v, ztsol
+     e      , d_h_vcol, d_qt, d_ec
+     s      , fs_bound, fq_bound )
       END IF 
 c
@@ -3262,6 +3313,7 @@
       IF (offline) THEN
 
-         print*,'Attention on met a 0 les thermiques pour phystoke'
-         call phystokenc (
+       IF (prt_level.ge.9)
+     $    print*,'Attention on met a 0 les thermiques pour phystoke'
+	 call phystokenc (
      I                   nlon,klev,pdtphys,rlon,rlat,
      I                   t,pmfu, pmfd, pen_u, pde_u, pen_d, pde_d,
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/wake.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/wake.F	(revision 1321)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/wake.F	(revision 1322)
@@ -1,3 +1,6 @@
-      Subroutine WAKE (p,ph,ppi,dtime,sigd_con
+!
+! $Id$
+!
+      Subroutine WAKE (p,ph,pi,dtime,sigd_con
      :                ,te0,qe0,omgb
      :                ,dtdwn,dqdwn,amdwn,amup,dta,dqa
